%global codename fuerte
%global shortname nodelet_core

Name:		ros-%{codename}-nodelet-core
Version:	1.6.5
Release:	1%{?dist}
Summary:	Nodelets library and tools for ROS
License:	BSD
URL:		http://ros.org/wiki/nodelet_core
Source0:	https://code.ros.org/svn/release/download/stacks/nodelet_core/nodelet_core-1.6.5/nodelet_core-%{version}.tar.bz2
BuildRequires:	ros-%{codename}-ros-devel
BuildRequires:	ros-%{codename}-ros-comm-devel
BuildRequires:	ros-%{codename}-pluginlib-devel
BuildRequires:	ros-%{codename}-bond-core-devel
BuildRequires:	ros-%{codename}-dynamic-reconfigure-devel
BuildRequires:	libuuid-devel, cmake, python-yaml
BuildRequires:	chrpath
Provides:	ros-%{shortname} = %{version}-%{release}
Provides:	ros-nodelet-core = %{version}-%{release}

%description
Nodelets library and tools. Nodelets are a plugin architecture for roscpp 
that enable dynamic loading of multiple ''nodelets'' into a single ROS
node instance.

%package devel
Summary:	Development files for ROS nodelet_core
Requires:	ros-%{codename}-ros-devel, ros-%{codename}-ros-comm-devel
Requires:	ros-%{codename}-pluginlib-devel, ros-%{codename}-bond-core-devel
Requires:	ros-%{codename}-dynamic-reconfigure-devel, libuuid-devel
Requires:	%{name} = %{version}-%{release}
Provides:	ros-%{shortname}-devel = %{version}-%{release}
Provides:	ros-nodelet-core-devel = %{version}-%{release}

%description devel
Development files for ROS nodelet_core.

%prep
%setup -q -n %{shortname}-%{version}

%build
source /etc/catkin/profile.d/10.ros.all
export ROS_PACKAGE_PATH="%{_builddir}/%{shortname}-%{version}/:$ROS_PACKAGE_PATH"
pushd nodelet
mkdir build
cd build
%cmake -DSETUPTOOLS_DEB_LAYOUT=OFF ..
make %{?_smp_mflags}
popd
pushd nodelet_topic_tools
mkdir build
cd build
%cmake -DSETUPTOOLS_DEB_LAYOUT=OFF ..
make %{?_smp_mflags}
popd

%install
# nodelet
pushd nodelet
mkdir -p %{buildroot}%{_datadir}/ros-stacks/%{shortname}/nodelet/bin
mkdir -p %{buildroot}%{_bindir}
cp bin/nodelet %{buildroot}%{_bindir}
ln -s %{_bindir}/nodelet %{buildroot}%{_datadir}/ros-stacks/%{shortname}/nodelet/bin/nodelet
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_datadir}/ros-stacks/%{shortname}/nodelet/lib
cp lib/libnodeletlib.so %{buildroot}%{_libdir}
ln -s %{_libdir}/libnodeletlib.so %{buildroot}%{_datadir}/ros-stacks/%{shortname}/nodelet/lib/libnodeletlib.so
cp -a *.dox *.xml scripts srv srv_gen include %{buildroot}%{_datadir}/ros-stacks/%{shortname}/nodelet/
mkdir -p %{buildroot}%{python_sitelib}
cp -a src/nodelet %{buildroot}%{python_sitelib}
mkdir -p %{buildroot}%{_datadir}/ros-stacks/%{shortname}/nodelet/src
ln -s %{python_sitelib}/nodelet %{buildroot}%{_datadir}/ros-stacks/%{shortname}/nodelet/src/nodelet
popd

#nodelet_topic_tools
pushd nodelet_topic_tools
mkdir -p %{buildroot}%{_datadir}/ros-stacks/%{shortname}/nodelet_topic_tools/lib
mkdir -p %{buildroot}%{_datadir}/ros-stacks/%{shortname}/nodelet_topic_tools/src
cp lib/libtest_nodelet_topic_tools.so %{buildroot}%{_libdir}
ln -s %{_libdir}/libtest_nodelet_topic_tools.so %{buildroot}%{_datadir}/ros-stacks/%{shortname}/nodelet_topic_tools/lib/libtest_nodelet_topic_tools.so
cp -a cfg docs include *.dox *.xml test %{buildroot}%{_datadir}/ros-stacks/%{shortname}/nodelet_topic_tools
cp -a src/nodelet_topic_tools %{buildroot}%{python_sitelib}
ln -s %{python_sitelib}/nodelet_topic_tools %{buildroot}%{_datadir}/ros-stacks/%{shortname}/nodelet_topic_tools/src/nodelet_topic_tools
popd

# Nuke rpaths
chrpath -d %{buildroot}%{_libdir}/*.so
chrpath -d %{buildroot}%{_bindir}/nodelet

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%{_bindir}/nodelet
%{_datadir}/ros-stacks/%{shortname}/
%exclude %{_datadir}/ros-stacks/%{shortname}/nodelet/include/
%exclude %{_datadir}/ros-stacks/%{shortname}/nodelet_topic_tools/include/
%{_libdir}/libnodeletlib.so
%{_libdir}/libtest_nodelet_topic_tools.so
%{python_sitelib}/nodelet/
%{python_sitelib}/nodelet_topic_tools/

%files devel
%{_datadir}/ros-stacks/%{shortname}/nodelet/include/
%{_datadir}/ros-stacks/%{shortname}/nodelet_topic_tools/include/


%changelog
* Tue May 22 2012 Tom Callaway <spot@fedoraproject.org> - 1.6.5-1
- initial package
